Valstorm LogoDev

register Endpoints

All endpoints for the register API group. Great for feeding into an LLM context.

POST

/v1/register

Register User

Request Body
{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/RegistrationRequest"
      }
    }
  },
  "required": true
}
Responses
201
Successful Response
application/json
{
  "$ref": "#/components/schemas/RegistrationResponse"
}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/register/activate

Activate User

Request Body
{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/UserActivationRequest"
      }
    }
  },
  "required": true
}
Responses
201
Successful Response
application/json
{
  "$ref": "#/components/schemas/ActivationResponse"
}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/register/user

Register User To Org

Registers a user to an organization. - If user is new to Valstorm: Creates globally and in Org. - If user exists in Valstorm: Links existing user to this Org.


Request Body
{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/UserRegistrationRequest"
      }
    }
  },
  "required": true
}
Responses
201
Successful Response
application/json
{
  "$ref": "#/components/schemas/UserRegistrationResponse"
}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/register/activate-invite

Activate Invite

Request Body
{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/AcceptActivationInvite"
      }
    }
  },
  "required": true
}
Responses
201
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/register/portal/setup-password

Setup Portal Password

Sets up portal password for an invited user.


Request Body
{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/PortalSetupPasswordRequest"
      }
    }
  },
  "required": true
}
Responses
201
Successful Response
application/json
{
  "$ref": "#/components/schemas/Token"
}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/register/portal/activate

Activate Portal User

Activates an invited portal user.


Request Body
{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/PortalActivationRequest"
      }
    }
  },
  "required": true
}
Responses
201
Successful Response
application/json
{
  "$ref": "#/components/schemas/ActivationResponse"
}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

GET

/v1/register/portal/accept-invite

Accept Portal Invite Route

Handles accept-invite link clicks from email invitations and redirects guest to password setup.


Parameters
activation_code*
in: query
type: string
portal_id*
in: query
type: string
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/register/portal/invite

Invite Portal User Legacy

Legacy individual guest invitation route relocated from registration.


Request Body
{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/PortalInviteRequest"
      }
    }
  },
  "required": true
}
Responses
201
Successful Response
application/json
{
  "$ref": "#/components/schemas/PortalInviteResponse"
}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner